Support » Plugin: WPComplete » Error on update: Unexpected ‘[‘ on line 1116 in class-wpcomplete-public.php

  • Resolved carolemagouirk

    (@carolemagouirk)



    Parse error: syntax error, unexpected ‘[‘ in ../wp-content/plugins/wpcomplete/public/class-wpcomplete-public.php on line 1116

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author zackgilbert

    (@zackgilbert)

    @carolemagouirk We are in the process of fixing this, but just so you know, this error is because you are using an older version of PHP (5.3 probably?). For security reasons, you should update your PHP to something newer (and still supported).

    Thanks for the quick response.

    Talked to my boss’s host a few weeks ago and they said they updated… guess not.

    Thank you again!

    Plugin Author zackgilbert

    (@zackgilbert)

    Just a follow up. We have a new version (2.2.4) that fixes this error in pre PHP 5.4 versions but again… we STRONGLY recommend that people upgrade their PHP versions to something newer for security reasons.

    Thank you, that was super fast.

    I’ve set up a mirror and am migrating to a new server this weekend.

    Thanks again. 🙂

    You’re most welcome!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error on update: Unexpected ‘[‘ on line 1116 in class-wpcomplete-public.php’ is closed to new replies.